"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logout = void 0;
const command_1 = require("@oclif/command");
const axios_1 = require("axios");
const chalk = require("chalk");
const TokenConfig_1 = require("../utils/TokenConfig");
const api = "https://noteli-api.sahilpabale.me/api";
class Logout extends command_1.default {
    async run() {
        try {
            // call logout api
            await axios_1.default.get(`${api}/logout`);
            // remove token
            await new TokenConfig_1.default().revokeToken(this.config.windows);
            this.log("To use Noteli again run " + chalk.greenBright("$ noteli auth"));
        }
        catch (error) {
            this.log(error);
        }
    }
}
exports.Logout = Logout;
Logout.description = `logout the user from noteli
Revokes the token and logs out user from system.`;
