"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Whoami = void 0;
const command_1 = require("@oclif/command");
const chalk = require("chalk");
const TokenConfig_1 = require("../utils/TokenConfig");
const cli_ux_1 = require("cli-ux");
const figchalk = require("figchalk");
const tokenConfig = new TokenConfig_1.default();
class Whoami extends command_1.default {
    async run() {
        try {
            const token = await tokenConfig.getToken(this.config.windows);
            tokenConfig
                .getToken(this.config.windows)
                .then(async (token) => {
                if (token == null) {
                    this.log(`${chalk.yellowBright("You aren't authorized yet!")}\nJust use ${chalk.greenBright("noteli auth")} to login.`);
                }
                else {
                    cli_ux_1.default.action.start(chalk.yellow("Fetching your account"), "loading");
                    tokenConfig
                        .getUser(token)
                        .then(async (user) => {
                        if (user != null) {
                            cli_ux_1.default.action.stop(`\nYou are logged in as ${chalk.greenBright(user.name + " - " + user.email)}`);
                        }
                        else {
                            cli_ux_1.default.action.stop(`${chalk.yellowBright("\nYou aren't authorized yet!")}\nJust use ${chalk.greenBright("noteli auth")} to login.`);
                        }
                    })
                        .catch(async (err) => {
                        this.log(`${chalk.yellowBright("You aren't authorized yet!")}\nJust use ${chalk.greenBright("noteli auth")} to login.`);
                    });
                }
            })
                .catch(async (err) => {
                this.log(`${chalk.yellowBright("You aren't authorized yet!")}\nJust use ${chalk.greenBright("noteli auth")} to login.`);
            });
        }
        catch (error) {
            this.log(error);
        }
    }
}
exports.Whoami = Whoami;
Whoami.description = `shows the current logged-in user
Checks for the token and verifies with Auth0 for authencticity.`;
